package com.kmall.api.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 订单流转过程记录表实体
 * 表名 mall_order_process_record
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-10-25 17:48:30
 */
public class OrderProcessRecordEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private Integer id;
    /**
     * 订单编号
     */
    private String orderSn;
    /**
     * 用户编号
     */
    private Integer userId;
    /**
     * 下单开始时间
     */
    private Date addOrderStartTime;
    /**
     * 下单成功时间
     */
    private Date addOrderSuccTime;
    /**
     * 下单发送状态 0：失败；1：成功
     */
    private String isAddOrderSend;
    /**
     * 支付开始时间
     */
    private Date payStartTime;
    /**
     * 支付成功时间
     */
    private Date paySuccTime;
    /**
     * 支付单发送状态 0：失败；1：成功
     */
    private String isPaymentSend;
    /**
     * 电子订单开始时间
     */
    private Date eleOrderStartTime;
    /**
     * 电子订单成功时间
     */
    private Date eleOrderSuccTime;
    /**
     * 电子订单发送状态 0：失败；1：成功
     */
    private String isEleOrderSend;
    /**
     * 运单开始时间
     */
    private Date waybillStartTime;
    /**
     * 运单成功时间
     */
    private Date waybillSuccTime;
    /**
     * 清关开始时间
     */
    private Date customsStartTime;
    /**
     * 清关成功时间
     */
    private Date customsSuccTime;
    /**
     * 清关发送状态 0：失败；1：成功
     */
    private String isCustomsSend;
    /**
     * 出货开始时间
     */
    private Date shipmentStartTime;
    /**
     * 出货成功时间
     */
    private Date shipmentSuccTime;
    /**
     * 订单流转信息
     */
    private String processContent;
    /**
     * 时间戳
     */
    private Date tstm;

    private String orderBizType;

    private String invtNo;

    private String logisticsNo;

    public String getInvtNo() {
        return invtNo;
    }

    public void setInvtNo(String invtNo) {
        this.invtNo = invtNo;
    }

    public String getLogisticsNo() {
        return logisticsNo;
    }

    public void setLogisticsNo(String logisticsNo) {
        this.logisticsNo = logisticsNo;
    }

    public String getOrderBizType() {
        return orderBizType;
    }

    public void setOrderBizType(String orderBizType) {
        this.orderBizType = orderBizType;
    }

    /**
     * 设置：
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：订单编号
     */
    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    /**
     * 获取：订单编号
     */
    public String getOrderSn() {
        return orderSn;
    }
    /**
     * 设置：用户编号
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户编号
     */
    public Integer getUserId() {
        return userId;
    }
    /**
     * 设置：下单开始时间
     */
    public void setAddOrderStartTime(Date addOrderStartTime) {
        this.addOrderStartTime = addOrderStartTime;
    }

    /**
     * 获取：下单开始时间
     */
    public Date getAddOrderStartTime() {
        return addOrderStartTime;
    }
    /**
     * 设置：下单成功时间
     */
    public void setAddOrderSuccTime(Date addOrderSuccTime) {
        this.addOrderSuccTime = addOrderSuccTime;
    }

    /**
     * 获取：下单成功时间
     */
    public Date getAddOrderSuccTime() {
        return addOrderSuccTime;
    }
    /**
     * 设置：下单发送状态 0：失败；1：成功
     */
    public void setIsAddOrderSend(String isAddOrderSend) {
        this.isAddOrderSend = isAddOrderSend;
    }

    /**
     * 获取：下单发送状态 0：失败；1：成功
     */
    public String getIsAddOrderSend() {
        return isAddOrderSend;
    }
    /**
     * 设置：支付开始时间
     */
    public void setPayStartTime(Date payStartTime) {
        this.payStartTime = payStartTime;
    }

    /**
     * 获取：支付开始时间
     */
    public Date getPayStartTime() {
        return payStartTime;
    }
    /**
     * 设置：支付成功时间
     */
    public void setPaySuccTime(Date paySuccTime) {
        this.paySuccTime = paySuccTime;
    }

    /**
     * 获取：支付成功时间
     */
    public Date getPaySuccTime() {
        return paySuccTime;
    }

    /**
     * 获取：支付单发送状态 0：失败；1：成功
     */
    public String getIsPaymentSend() {
        return isPaymentSend;
    }

    /**
     * 设置：支付单发送状态 0：失败；1：成功
     */
    public void setIsPaymentSend(String isPaymentSend) {
        this.isPaymentSend = isPaymentSend;
    }

    /**
     * 设置：电子订单开始时间
     */
    public void setEleOrderStartTime(Date eleOrderStartTime) {
        this.eleOrderStartTime = eleOrderStartTime;
    }

    /**
     * 获取：电子订单开始时间
     */
    public Date getEleOrderStartTime() {
        return eleOrderStartTime;
    }
    /**
     * 设置：电子订单成功时间
     */
    public void setEleOrderSuccTime(Date eleOrderSuccTime) {
        this.eleOrderSuccTime = eleOrderSuccTime;
    }

    /**
     * 获取：电子订单成功时间
     */
    public Date getEleOrderSuccTime() {
        return eleOrderSuccTime;
    }
    /**
     * 设置：电子订单发送状态 0：失败；1：成功
     */
    public void setIsEleOrderSend(String isEleOrderSend) {
        this.isEleOrderSend = isEleOrderSend;
    }

    /**
     * 获取：电子订单发送状态 0：失败；1：成功
     */
    public String getIsEleOrderSend() {
        return isEleOrderSend;
    }
    /**
     * 设置：运单开始时间
     */
    public void setWaybillStartTime(Date waybillStartTime) {
        this.waybillStartTime = waybillStartTime;
    }

    /**
     * 获取：运单开始时间
     */
    public Date getWaybillStartTime() {
        return waybillStartTime;
    }
    /**
     * 设置：运单成功时间
     */
    public void setWaybillSuccTime(Date waybillSuccTime) {
        this.waybillSuccTime = waybillSuccTime;
    }

    /**
     * 获取：运单成功时间
     */
    public Date getWaybillSuccTime() {
        return waybillSuccTime;
    }
    /**
     * 设置：清关开始时间
     */
    public void setCustomsStartTime(Date customsStartTime) {
        this.customsStartTime = customsStartTime;
    }

    /**
     * 获取：清关开始时间
     */
    public Date getCustomsStartTime() {
        return customsStartTime;
    }
    /**
     * 设置：清关成功时间
     */
    public void setCustomsSuccTime(Date customsSuccTime) {
        this.customsSuccTime = customsSuccTime;
    }

    /**
     * 获取：清关成功时间
     */
    public Date getCustomsSuccTime() {
        return customsSuccTime;
    }
    /**
     * 设置：清关发送状态 0：失败；1：成功
     */
    public void setIsCustomsSend(String isCustomsSend) {
        this.isCustomsSend = isCustomsSend;
    }

    /**
     * 获取：清关发送状态 0：失败；1：成功
     */
    public String getIsCustomsSend() {
        return isCustomsSend;
    }
    /**
     * 设置：出货开始时间
     */
    public void setShipmentStartTime(Date shipmentStartTime) {
        this.shipmentStartTime = shipmentStartTime;
    }

    /**
     * 获取：出货开始时间
     */
    public Date getShipmentStartTime() {
        return shipmentStartTime;
    }
    /**
     * 设置：出货成功时间
     */
    public void setShipmentSuccTime(Date shipmentSuccTime) {
        this.shipmentSuccTime = shipmentSuccTime;
    }

    /**
     * 获取：出货成功时间
     */
    public Date getShipmentSuccTime() {
        return shipmentSuccTime;
    }
    /**
     * 设置：订单流转信息
     */
    public void setProcessContent(String processContent) {
        this.processContent = processContent;
    }

    /**
     * 获取：订单流转信息
     */
    public String getProcessContent() {
        return processContent;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
